Bug 21190 - AMI MegaRAID 471 card doesn't work in Intel Lion slots 2-10
AMI MegaRAID 471 card doesn't work in Intel Lion slots 2-10
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2000-11-21 12:02 EST by Matt Domsch
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-12 12:48:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-11-21 12:02:58 EST
The megaraid 471 card doesn't work in Intel Lion slots 2-10.
Using kernel 2.4.0-test9-ia64-001004 + megaraid v1.10c driver + IOSAPIC 
patch from Asit Mallic of Intel.  Card works in slots 1 & 2.

Failure mode is that after ~1400 interrupts, the card stops responding.   
This is easily demonstrated on a 4x9GB RAID5 array, one partition 
at /dev/sdb1, mke2fs /dev/sdb1.  SCSI timeouts will occur before the 
command completes.

PeterJ@ami.com, Asit Mallic @ Intel, and Mike Stephens @ Intel are working 
to address this issue.
Comment 1 Glen Foster 2001-01-11 16:03:17 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Matt Domsch 2001-01-11 16:40:48 EST
megaraid driver v1.13s seems to address the problem.  MKJ says it'll be 
included in the public beta kernel.
Comment 3 Michael K. Johnson 2001-01-12 10:05:36 EST
The latest megaraid driver is in and should fix this.  It breaks
Azusa, so a better fix needs to be provided, which means that we
need to continue to pay attention for now.
Comment 4 Matt Domsch 2001-01-12 12:48:10 EST
The Azuza issue was with the qla1280 driver, not the megaraid driver.
In any case, BJ released a qla1280 driver today (v3.23) that addresses it.
Comment 5 Michael K. Johnson 2001-01-12 14:39:56 EST
Oops, cache coherency issue in my mind.  Thanks, Matt!

Anyway, 1.13s is included.  My thinko.

Note You need to log in before you can comment on or make changes to this bug.